Creates a governance statement for the review
POST
/gov/v1/controls/review/{subject_cid}/{project_uuid}
const
url
=
'
https://example.com/gov/v1/controls/review/example/example
'
;
const
options
= {
method:
'
POST
'
,
headers: {Authorization:
'
Bearer
'
,
'
Content-Type
'
:
'
application/json
'
},
body:
'
{"attachmentCid":"[
\"
urn:cid:attachment_cid_one
\"
,
\"
urn:cid:attachment_cid_two
\"
]","controlCid":"urn:cid:cotrol_cid","declarationCid":"[
\"
urn:cid:declaration_one
\"
,
\"
urn:cid:declaration_two
\"
]","documentType":"example","extra":{"additionalProperty":"example"},"outcome":"PASSED","statement":"Audit Review message","subjectLine":"Review of control","submittedAt":"2025-03-12T12:00:06Z","submittedBy":"did:key:z6MkvWwG4YJDNEBq6ufypq6mBGpKje7bfJefcQkMoGWPjoq1"}
'
}
;
try
{
const
response
= await
fetch
(url
,
options);
const
data
= await
response
.
json
();
console
.
log
(data);
}
catch
(error) {
console
.
error
(error);
}
curl
--request
POST
\
--url
https://example.com/gov/v1/controls/review/example/example
\
--header
'
Authorization: Bearer
'
\
--header
'
Content-Type: application/json
'
\
--data
'
{ "attachmentCid": "[\"urn:cid:attachment_cid_one\", \"urn:cid:attachment_cid_two\"]", "controlCid": "urn:cid:cotrol_cid", "declarationCid": "[\"urn:cid:declaration_one\", \"urn:cid:declaration_two\"]", "documentType": "example", "extra": { "additionalProperty": "example" }, "outcome": "PASSED", "statement": "Audit Review message", "subjectLine": "Review of control", "submittedAt": "2025-03-12T12:00:06Z", "submittedBy": "did:key:z6MkvWwG4YJDNEBq6ufypq6mBGpKje7bfJefcQkMoGWPjoq1" }
'
Creates a governance statement for the review
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”
subject_cid
required
string
project_uuid
required
string
Request Body required
Section titled “Request Body required ”
Media type
application/json
object
attachmentCid
Array
nullable
Example
[
"
urn:cid:attachment_cid_one
"
,
"
urn:cid:attachment_cid_two
"
]
controlCid
required
string
Example
urn:cid:cotrol_cid
declarationCid
Array
nullable
Example
[
"
urn:cid:declaration_one
"
,
"
urn:cid:declaration_two
"
]
documentType
string
extra
object
key
additional properties
outcome
string
nullable
Example
PASSED
statement
string
nullable
Example
Audit Review message
subjectLine
string
nullable
Example
Review of control
submittedAt
required
string
format: date-time
default: 2025-03-12T12:00:06Z
submittedBy
required
string
Example
did:key:z6MkvWwG4YJDNEBq6ufypq6mBGpKje7bfJefcQkMoGWPjoq1
Responses
Section titled “ Responses ”Governance statement created for review successfully.
Media type
application/json
object
documentCid
required
string
statement
required
Records governance information for a subject
This statement type associates governance documents (policies, procedures, compliance documents) with subjects in the lineage system.
object
@context
required
JSON-LD context URL
string
@id
required
Unique identifier for this statement
string
@type
required
Statement type identifier
string
document
required
CID of the governance document
string
registeredBy
required
DID of the entity that registered this statement
string
subject
required
The subject to which governance applies
string
timestamp
required
ISO 8601 timestamp of when the statement was created
string
statementCid
required
string
Example generated
{
"documentCid"
:
"
example
"
,
"statement"
: {
"@context"
:
"
example
"
,
"@id"
:
"
example
"
,
"@type"
:
"
example
"
,
"document"
:
"
example
"
,
"registeredBy"
:
"
example
"
,
"subject"
:
"
example
"
,
"timestamp"
:
"
example
"
},
"statementCid"
:
"
example
"
}